# Tk Inter threading

class pypdevs.realtime.threadingTkInter.ThreadingTkInter(tk)

  Tk Inter subsystem for realtime simulation

  __init__(tk)

    Constructor

    Parameters

      queue – the queue object that is also used by the main thread to put events on the main Tk object

  interrupt()

    Interrupt the waiting thread

  unlock()

    Unlock the waiting thread

  wait(t, func)

    Wait for the specified time, or faster if interrupted

    Parameters

      - t – time to wait

      - func – the function to call